import 'dart:convert';

import 'package:flutter/cupertino.dart';

class Message {
  final String senderName;
  final String about;
  final String senderImage;
  final String content;
  final DateTime date;
  final int postId;
  final int commentUserId;

  const Message({
    @required this.senderName,
    @required this.about,
    @required this.senderImage,
    @required this.content,
    @required this.date,
    @required this.postId,
    @required this.commentUserId,
  });

  bool isUserMessage(int commentUserId) => this.commentUserId == commentUserId;

  String toJson() => json.encode({
        'senderName': senderName,
        'about': about,
        'senderImage': senderImage,
        'content': content,
        'date': date.toString(),
        'postId': postId,
        'commentUserId': commentUserId,
      });

  static Message fromJson(Map<String, dynamic> data) {
    return Message(
      senderName: data['senderName'],
      about: data['about'],
      senderImage: data['senderImage'],
      content: data['content'],
      date: DateTime.parse(data['date']),
      postId: data['postId'],
      commentUserId: data['commentUserId'],
    );
  }
}
