import 'package:flutter/material.dart';

import 'package:plugin_codelab_new/models/post_model.dart';
import 'package:plugin_codelab_new/repo/feed_repository.dart';
import 'package:plugin_codelab_new/widgets/grey_input_container.dart';

class LoginPage extends StatefulWidget {
  @override
  _LoginPageState createState() => _LoginPageState();
}

class _LoginPageState extends State<LoginPage> {
  @override
  void dispose() {
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        backgroundColor: Color(0xFF171725),
        appBar: AppBar(
          backgroundColor: Color(0xFF171725).withOpacity(0.6),
          title: Text('Feed'),
        ),
        body: _buildContent(context),
      ),
    );
  }

  final _formKey = GlobalKey<FormState>();
  TextEditingController phoneController = new TextEditingController();
  TextEditingController usernameController = TextEditingController();
  List<PostModel> postsList = [];
  FeedRepository feedRepository;

  void getPostsList() async {
    postsList = await feedRepository.loadPosts();
  }

  _buildContent(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.all(20),
      child: Form(
        key: _formKey,
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          children: <Widget>[
            Column(
              children: [
                _buildPhoneTF(),
              ],
            ),
            _buildButton(),
            Align(
              alignment: Alignment.topRight,
              child: Container(
                height: 60,
                child: Image.asset('assets/paper-plane.png'),
              ),
            ),
          ],
        ),
      ),
    );
  }

  _buildButton() {
    return Padding(
      padding: const EdgeInsets.symmetric(vertical: 16.0),
      child: FlatButton(
        color: Colors.amber[800],
        onPressed: () {
          // HttpService("jhgvf").login(phoneNumber: "972508779768");
          // Navigator.of(context).pushNamedAndRemoveUntil(
          //     "/homePage", (Route<dynamic> route) => false);
        },
        child: Center(
          child: Text(
            'Login',
            style: TextStyle(color: Colors.white),
          ),
        ),
      ),
    );
  }

  Widget _buildPhoneTF() {
    return GreyInputContainer(
      keyboardType: TextInputType.phone,
      obscureText: false,
      usernameController: usernameController,
      suffixIcon: Icon(
        Icons.phone_android_rounded,
        color: Colors.white,
        size: 24,
      ),
      prefix: Text(
        '+ ',
        style: TextStyle(color: Colors.white),
      ),
      labelText: ('Phone'),
      // validatorText: loc.translate('Phone is required'),
    );
  }
}
